List Audit Events
Beta/v1/core/audit-eventsThis endpoint is idempotent. Learn more
Returns a paginated list of audit events for the current account.
cursoroptional stringCursor token used to retrieve the next or previous page of results.
limitoptional integerMaximum number of results per page (default: 100, max: 1000).
qoptional stringSearch query used to filter results.
start_dateoptional string (date-time)Restricts results to audit events on or after this timestamp.
end_dateoptional string (date-time)Restricts results to audit events on or before this timestamp.
resource_types[]optional arrayenumValues:accountactorentityFilter by the resource type of the audited entity.
resource_ids[]optional arrayFilter by the audited resource IDs.
actor_ids[]optional arrayFilter by the actor identifier.
Will be account_user.id when identity_type=user or an api_key.id when identity_type=api_key.
actions[]optional arrayenumValues:createupdatedeleteFilter by the audit actions.
include[]optional arrayenumValues:actorchangesmetadataSub-objects to expand in the response. When omitted, sub-objects are returned as null.
objectstringenumValues:listResource type identifier.
page_infoobjectPagination metadata.
next_page_urlstringnullableURL to fetch the next page, null if no more pages.
previous_page_urlstringnullableURL to fetch the previous page, null if on the first page.
has_next_pagebooleanWhether more results exist after this page.
has_prev_pagebooleanWhether results exist before this page.
dataarray of objectResources in this page.
idstringAudit event ID.
objectstringenumValues:audit_eventResource type identifier.
actionstringenumValues:createupdatedeleteMutation type.
resource_typestringenumValues:accountactorentityResource type of the audited entity.
resource_idstringAudited resource ID.
actorobjectExpandablenullableActor who performed the mutation.
idstringActor ID.
objectstringenumValues:actorResource type identifier.
typestringenumValues:userapi_keyagentActor type.
namestringnullableDisplay name.
handlestringnullableHuman-readable handle (email for users, redacted_value for API keys, slug for agents).
roleobjectnullableAssigned role.
null in this endpoint.changesobjectExpandablenullableField-level changes recorded for this event.
objectstringenumValues:listResource type identifier.
page_infoobjectPagination metadata.
next_page_urlstringnullableURL to fetch the next page, null if no more pages.
previous_page_urlstringnullableURL to fetch the previous page, null if on the first page.
has_next_pagebooleanWhether more results exist after this page.
has_prev_pagebooleanWhether results exist before this page.
dataarray of objectResources in this page.
objectstringenumValues:audit_field_changeResource type identifier.
fieldstringName of the changed field.
old_valueobjectnullablePrevious value as a JSON fragment. Null for creation events. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
new_valueobjectnullableNew value as a JSON fragment. Null for deletion events. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
metadataobjectExpandablenullableArbitrary JSON metadata for the mutation (e.g. reason, source, tags). Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
requestobjectExpandablenullableOriginating HTTP request. Expandable.
idstringRequest log ID.
objectstringenumValues:request_logResource type identifier.
methodstringHTTP method.
hoststringRequest host. Usually api.augno.com.
pathstringNon-normalized request path.
normalized_routestringNormalized route template. For example PATCH /v1/sales/customers/{id} is the normalized route for a request route PUT /v1/sales/customers/ac_....
query_paramsobjectnullableQuery parameters. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
status_codeintegerHTTP status code.
latency_usintegerRequest latency in microseconds.
api_versionstringnullableAPI version used.
client_ipstringnullableClient IP address.
user_agentstringnullableUser agent.
referrerstringnullableReferrer header.
error_codestringnullableAPI error code.
error_messagestringnullableError message.
occurred_atstring (date-time)When the request occurred.
created_atstring (date-time)When the log entry was created.
accountobjectnullableAccount targeted by the request.
null in this endpoint.actorobjectnullableActor who made the request.
null in this endpoint.idempotency_keystringnullableUser-provided idempotency key.
request_bodyobjectnullableRequest body. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
response_bodyobjectnullableResponse body. Encoded as a JSON value (object, array, string, number, boolean, or null), not a JSON-encoded string.
idempotency_keystringnullableIdempotency key of the originating request.
source_ipstringnullableOriginating client IP address.
occurred_atstring (date-time)When the audited mutation occurred.
created_atstring (date-time)When the audit event record was created.
Responses
Successful response for List Audit Events